summaryrefslogtreecommitdiffstats
path: root/network/arora
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-12 23:31:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:31:56 +0200
commit1d6a191cc4e22d1b6464a5c1cac4701c7fca1757 (patch)
tree1cdfeef86fd744eae883b3ff519d202477a2611f /network/arora
parenta59da466b7593f03e6ac916adcaa5a6d1837ee0f (diff)
downloadslackbuilds-1d6a191cc4e22d1b6464a5c1cac4701c7fca1757.tar.gz
slackbuilds-1d6a191cc4e22d1b6464a5c1cac4701c7fca1757.tar.xz
network/arora: Added to 12.2 repository
Diffstat (limited to 'network/arora')
-rw-r--r--network/arora/README9
-rw-r--r--network/arora/arora.SlackBuild89
-rw-r--r--network/arora/arora.info8
-rw-r--r--network/arora/doinst.sh10
-rw-r--r--network/arora/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/network/arora/README b/network/arora/README
new file mode 100644
index 0000000000..bd9be7e465
--- /dev/null
+++ b/network/arora/README
@@ -0,0 +1,9 @@
+Arora is a simple cross platform web browser whose feature list
+includes things like "History" and "Bookmarks". Benjamin Meyer
+originally created as a demo for Qt to help test the QtWebKit component
+and find API issues and bugs before the release. Arora works on Linux,
+OS X, Windows, FreeBSD, and embedded Linux using Qt Embedded and
+anywhere Qt does. For more information about the project check out the
+Arora Goals wiki page.
+
+This requires qt4.
diff --git a/network/arora/arora.SlackBuild b/network/arora/arora.SlackBuild
new file mode 100644
index 0000000000..e950c576c3
--- /dev/null
+++ b/network/arora/arora.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+#
+# Slackware build script for arora
+#
+# Copyright 2009 David Somero (dsomero@hotmail.com) Athens,TN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=arora
+VERSION=${VERSION:-0.7.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake-qt4 arora.pro PREFIX=/usr
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make INSTALL_ROOT=$PKG install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mv $PKG/usr/share/man $PKG/usr/man
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog LICENSE.GPL2 LICENSE.GPL3 README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/arora/arora.info b/network/arora/arora.info
new file mode 100644
index 0000000000..feda9e5e1e
--- /dev/null
+++ b/network/arora/arora.info
@@ -0,0 +1,8 @@
+PRGNAM="arora"
+VERSION="0.7.1"
+HOMEPAGE="http://code.google.com/p/arora/"
+DOWNLOAD="http://arora.googlecode.com/files/arora-0.7.1.tar.gz"
+MD5SUM="3ae2cc30424a91b7e7bb2ccdee404911"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/network/arora/doinst.sh b/network/arora/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/network/arora/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/network/arora/slack-desc b/network/arora/slack-desc
new file mode 100644
index 0000000000..a8964f4d28
--- /dev/null
+++ b/network/arora/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+arora: arora (simple cross platform web browser.)
+arora:
+arora: Arora is a simple cross platform web browser whose feature list
+arora: includes things like "History" and "Bookmarks". Benjamin Meyer
+arora: originally created as a demo for Qt to help test the QtWebKit component
+arora: and find API issues and bugs before the release. Arora works on Linux,
+arora: OS X, Windows, FreeBSD, and embedded Linux using Qt Embedded and
+arora: anywhere Qt does. For more information about the project check out the
+arora: Arora Goals wiki page.
+arora:
+arora: http://code.google.com/p/arora/